# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

# use this option to skip xfire-jms unit tests while activemq isn't available
%define nojmstests %{?_with_nojmstests:1}%{!?_with_nojmstests:%{?_without_nojmstests:0}%{!?_without_nojmstests:%{?_nojmstests:%{_nojmstests}}%{!?_nojmstests:0}}}

%define section     free
%define repo_dir    m2_repo/repository

Name:           xfire
Version:        1.0
Release:        1jpp
Epoch:          0
Summary:        Plexus Archiver Component
License:        Apache Software License 2.0
Group:          Development/Java
Vendor:         JPackage Project
Distribution:   JPackage
URL:            http://xfire.codehaus.org/
Source0:        xfire-1.0-src.tar.gz
# svn export http://svn.codehaus.org/xfire/tags/xfire-1_0/xfire/

Source2:        %{name}-jpp-depmap.xml
Source3:        xfire-settings.xml
Source4:        apache-3.pom
Patch0:		xfire-xmlbeans-pom_xml.patch
Patch1:		xfire-spring-pom_xml.patch
Patch2:		xfire-castor-pom_xml.patch
Patch3:		xfire-castor-CastorType.patch
Patch4:		xfire-pom_xml.patch
Patch5:		xfire-all-pom_xml.patch
Patch6:		xfire-nojmstests.patch

BuildRequires:  jpackage-utils >= 0:1.7.1
BuildRequires:  maven2 >= 0:2.0.4
BuildRequires:  saxon
BuildRequires:  saxon-scripts

%if ! %{nojmstests}
BuildRequires:  activemq3
%endif
BuildRequires:  bea-stax
BuildRequires:  bea-stax-api
BuildRequires:  castor
BuildRequires:  castor-xml
BuildRequires:  classpathx-mail-monolithic
BuildRequires:  concurrent
BuildRequires:  dom4j
BuildRequires:  easymock
BuildRequires:  geronimo-j2ee-management-1.0-api
BuildRequires:  geronimo-jacc-1.0-api
BuildRequires:  geronimo-jaf-1.0.2-api
BuildRequires:  geronimo-jms-1.1-api
BuildRequires:  geronimo-jta-1.0.1B-api
BuildRequires:  httpunit
BuildRequires:  jakarta-commons-attributes
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-codec
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-logging
BuildRequires:  jaxen
BuildRequires:  jdom
BuildRequires:  jetty5
BuildRequires:  junit
BuildRequires:  log4j
BuildRequires:  msv-xsdlib
BuildRequires:  nanocontainer
BuildRequires:  nanocontainer-nanowar
BuildRequires:  nekohtml
BuildRequires:  picocontainer
BuildRequires:  plexus-archiver
BuildRequires:  plexus-container-default
BuildRequires:  plexus-servlet
BuildRequires:  plexus-utils
BuildRequires:  qdox
BuildRequires:  relaxngDatatype
BuildRequires:  servletapi4
BuildRequires:  smack
BuildRequires:  spring
BuildRequires:  spring-mock
BuildRequires:  stax-utils
BuildRequires:  ws-commons-XmlSchema
BuildRequires:  wsdl4j
BuildRequires:  wstx
BuildRequires:  xbean
BuildRequires:  xerces-j2
BuildRequires:  xjavadoc
BuildRequires:  xmlbeans
BuildRequires:  xml-commons-jaxp-1.3-apis
BuildRequires:  xmlunit

%if %{gcj_support}
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Codehaus XFire is a next-generation java SOAP framework. 
Codehaus XFire makes service oriented development 
approachable through its easy to use API and support 
for standards. It is also highly performant since it 
is built on a low memory StAX based model.

%package maven-bundle-plugin
Summary:        Maven2 bundle plugin from %{name}
Group:          Development/Java
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Requires:	maven2
Requires:	plexus-archiver
Requires:	plexus-utils

%description maven-bundle-plugin
%{summary}.

%package aegis
Summary:        Aegis module from %{name}
Group:          Development/Java
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Requires:	stax-utils
Requires:	geronimo-jaf-1.0.2-api
Requires:	geronimo-qname-1.1-api
Requires:	xml-commons-jaxp-1.3-apis
Requires:	bea-stax-api
Requires:	jakarta-commons-logging
Requires:	jdom

%description aegis
%{summary}.

%package all
Summary:        All modules from %{name}
Group:          Development/Java
Requires:	%{name}-core = %{epoch}:%{version}-%{release}

%description all
%{summary}.

%package annotations
Summary:        Annotations module from %{name}
Group:          Development/Java
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Requires:	%{name}-aegis = %{epoch}:%{version}-%{release}
Requires:	geronimo-qname-1.1-api
Requires:	jakarta-commons-attributes
Requires:	jakarta-commons-logging

%description annotations
%{summary}.

%package castor
Summary:        Castor module from %{name}
Group:          Development/Java
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Requires:	%{name}-aegis = %{epoch}:%{version}-%{release}
Requires:	stax-utils
Requires:	geronimo-qname-1.1-api
Requires:	bea-stax-api
Requires:	jakarta-commons-logging
Requires:	dom4j
Requires:	castor
Requires:	castor-xml
Requires:	xml-commons-jaxp-1.3-apis

%description castor
%{summary}.

%package core
Summary:        Core module from %{name}
Group:          Development/Java

%description core
%{summary}.

%package jms
Summary:        JMS module from %{name}
Group:          Development/Java
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Requires:	geronimo-jms-1.1-api
Requires:	bea-stax-api
Requires:	jakarta-commons-logging

%description jms
%{summary}.

%package picocontainer
Summary:        Picocontainer module from %{name}
Group:          Development/Java
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Requires:	geronimo-qname-1.1-api
Requires:	jakarta-commons-logging
Requires:	picocontainer

%description picocontainer
%{summary}.

%package plexus
Summary:        Plexus module from %{name}
Group:          Development/Java
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Requires:	%{name}-aegis = %{epoch}:%{version}-%{release}
Requires:	geronimo-servlet-2.4-api
Requires:	geronimo-qname-1.1-api
Requires:	bea-stax-api
Requires:	jakarta-commons-logging
Requires:	jdom
Requires:	plexus-container-default
Requires:	plexus-servlet
Requires:	plexus-utils

%description plexus
%{summary}.

%package spring
Summary:        Spring module from %{name}
Group:          Development/Java
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Requires:	%{name}-aegis = %{epoch}:%{version}-%{release}
Requires:	%{name}-annotations = %{epoch}:%{version}-%{release}
Requires:	geronimo-servlet-2.4-api
Requires:	geronimo-qname-1.1-api
Requires:	bea-stax-api
Requires:	aopalliance
Requires:	jakarta-commons-logging
Requires:	xbean
Requires:	spring-aop
Requires:	spring-beans
Requires:	spring-context
Requires:	spring-remoting
Requires:	spring-web

%description spring
%{summary}.

%package xmlbeans
Summary:        XmlBeans module from %{name}
Group:          Development/Java
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Requires:	%{name}-aegis = %{epoch}:%{version}-%{release}
Requires:	wsdl4j
Requires:	geronimo-qname-1.1-api
Requires:	bea-stax-api
Requires:	xmlbeans
Requires:	jdom
Requires:	xml-commons-jaxp-1.3-apis

%description xmlbeans
%{summary}.

%package xmpp
Summary:        xmpp module from %{name}
Group:          Development/Java
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Requires:	geronimo-qname-1.1-api
Requires:	bea-stax-api
Requires:	jakarta-commons-logging
Requires:	jdom
Requires:	smack
Requires:	xpp3

%description xmpp
%{summary}.


%package maven-bundle-plugin-javadoc
Summary:        Javadoc for %{name}-maven-bundle-plugin
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description maven-bundle-plugin-javadoc
%{summary}.

%package aegis-javadoc
Summary:        Javadoc for %{name}-aegis
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description aegis-javadoc
%{summary}.

%package annotations-javadoc
Summary:        Javadoc for %{name}-annotations
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description annotations-javadoc
%{summary}.

%package castor-javadoc
Summary:        Javadoc for %{name}-castor
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description castor-javadoc
%{summary}.

%package core-javadoc
Summary:        Javadoc for %{name}-core
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description core-javadoc
%{summary}.

%package jms-javadoc
Summary:        Javadoc for %{name}-jms
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description jms-javadoc
%{summary}.

%package picocontainer-javadoc
Summary:        Javadoc for %{name}-picocontainer
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description picocontainer-javadoc
%{summary}.

%package plexus-javadoc
Summary:        Javadoc for %{name}-plexus
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description plexus-javadoc
%{summary}.

%package spring-javadoc
Summary:        Javadoc for %{name}-spring
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description spring-javadoc
%{summary}.

%package xmlbeans-javadoc
Summary:        Javadoc for %{name}-xmlbeans
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description xmlbeans-javadoc
%{summary}.

%package xmpp-javadoc
Summary:        Javadoc for %{name}-xmpp
Group:          Development/Documentation
Requires(post):   /bin/rm,/bin/ln
Requires(postun): /bin/rm

%description xmpp-javadoc
%{summary}.


%prep
%setup -q -n xfire-1.0
%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav

%if %{nojmstests}
%patch6 -b .sav
rm -rf xfire-jms/src/test/
%endif

%build
cp %{SOURCE3} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

for p in $(find . -name "*.pom"); do
    pushd $(dirname $p)
    bp=`basename $p`
    cp $bp $bp.orig
    /usr/bin/saxon -o $bp $bp.orig /usr/share/java-utils/xml/maven2jpp-mapdeps.xsl map=%{SOURCE2}
    popd
done

for p in $(find . -name "*pom.xml"); do
    pushd $(dirname $p)
    bp=`basename $p`
    cp $bp $bp.orig
    /usr/bin/saxon -o $bp $bp.orig /usr/share/java-utils/xml/maven2jpp-mapdeps.xsl map=%{SOURCE2}
    popd
done

mkdir -p m2_repo/repository/JPP/maven2/default_poms
cp %{SOURCE4} m2_repo/repository/JPP/maven2/default_poms/org.apache-apache.pom

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

MVN=/usr/bin/mvn
export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/%{repo_dir}
export MAVEN_OPTS="-Dmaven.repo.local=$MAVEN_REPO_LOCAL -Dmaven2.jpp.mode=true -Dmaven.test.failure.ignore=true -Djava.awt.headless=true"
pushd maven-bundle-plugin
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS} install javadoc:javadoc
popd
${MVN} -s ${M2SETTINGS} ${MAVEN_OPTS} install javadoc:javadoc


%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -pm 644 maven-bundle-plugin/target/maven-bundle-plugin-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-bundle-plugin-%{version}.jar
install -pm 644 %{name}-aegis/target/%{name}-aegis-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/aegis-%{version}.jar
install -pm 644 %{name}-all/target/%{name}-all-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/all-%{version}.jar
install -pm 644 %{name}-annotations/target/%{name}-annotations-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/annotations-%{version}.jar
install -pm 644 %{name}-castor/target/%{name}-castor-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/castor-%{version}.jar
install -pm 644 %{name}-core/target/%{name}-core-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar
install -pm 644 %{name}-jms/target/%{name}-jms-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/jms-%{version}.jar
install -pm 644 %{name}-picocontainer/target/%{name}-picocontainer-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/picocontainer-%{version}.jar
install -pm 644 %{name}-plexus/target/%{name}-plexus-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/plexus-%{version}.jar
install -pm 644 %{name}-spring/target/%{name}-spring-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/spring-%{version}.jar
install -pm 644 %{name}-xmlbeans/target/%{name}-xmlbeans.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/xmlbeans-%{version}.jar
install -pm 644 %{name}-xmpp/target/%{name}-xmpp-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/xmpp-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/xfire && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/maven-bundle-plugin
cp -pr maven-bundle-plugin/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/maven-bundle-plugin
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/aegis
cp -pr %{name}-aegis/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/aegis
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/annotations
cp -pr %{name}-annotations/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/annotations
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/castor
cp -pr %{name}-castor/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/castor
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core
cp -pr %{name}-core/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jms
cp -pr %{name}-jms/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/jms
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/picocontainer
cp -pr %{name}-picocontainer/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/picocontainer
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/plexus
cp -pr %{name}-plexus/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/plexus
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/spring
cp -pr %{name}-spring/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/spring
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/xmlbeans
cp -pr %{name}-xmlbeans/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/xmlbeans
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/xmpp
cp -pr %{name}-xmpp/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/xmpp

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post core-javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun core-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%if %{gcj_support}
%post maven-bundle-plugin
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun maven-bundle-plugin
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post aegis
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun aegis
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post all
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun all
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post annotations
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun annotations
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post castor
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun castor
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post core
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun core
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post jms
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun jms
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post picocontainer
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun picocontainer
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post plexus
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun plexus
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post spring
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun spring
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post xmlbeans
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun xmlbeans
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post xmpp
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun xmpp
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files maven-bundle-plugin
%defattr(-,root,root,-)
%{_javadir}/%{name}/maven-bundle-plugin*.jar
%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/maven-bundle-plugin*-%{version}.jar.*
%endif

%files aegis
%defattr(-,root,root,-)
%{_javadir}/%{name}/aegis*.jar

%files all
%defattr(-,root,root,-)
%{_javadir}/%{name}/all*.jar
%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/all*-%{version}.jar.*
%endif

%files annotations
%defattr(-,root,root,-)
%{_javadir}/%{name}/annotations*.jar

%files castor
%defattr(-,root,root,-)
%{_javadir}/%{name}/castor*.jar

%files core
%defattr(-,root,root,-)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/core*.jar

%files jms
%defattr(-,root,root,-)
%{_javadir}/%{name}/jms*.jar

%files picocontainer
%defattr(-,root,root,-)
%{_javadir}/%{name}/picocontainer*.jar

%files plexus
%defattr(-,root,root,-)
%{_javadir}/%{name}/plexus*.jar

%files spring
%defattr(-,root,root,-)
%{_javadir}/%{name}/spring*.jar

%files xmlbeans
%defattr(-,root,root,-)
%{_javadir}/%{name}/xmlbeans*.jar

%files xmpp
%defattr(-,root,root,-)
%{_javadir}/%{name}/xmpp*.jar

%files maven-bundle-plugin-javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}/maven-bundle-plugin

%files aegis-javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}/aegis

%files annotations-javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}/annotations

%files castor-javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}/castor

%files core-javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}/core
%ghost %doc %{_javadocdir}/%{name}

%files jms-javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}/jms

%files picocontainer-javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}/picocontainer

%files plexus-javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}/plexus

%files spring-javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}/spring

%files xmlbeans-javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}/xmlbeans

%files xmpp-javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}/xmpp

%changelog
* Wed Oct 18 2006 Ralph Apel <r.apel at r-apel.de> - 0:1.0-1jpp
- First JPP-1.7 release
- Add post/postun Requires for javadoc
- Add gcj_support option
